Bug 864360 - gpt isn't automatically created on UEFI system
gpt isn't automatically created on UEFI system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-10-09 04:48 EDT by Jan Sedlák
Modified: 2012-10-23 19:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 15:02:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message (10.50 KB, image/png)
2012-10-09 04:48 EDT, Jan Sedlák
no flags Details
anaconda log (2.11 KB, text/plain)
2012-10-10 09:17 EDT, Jan Sedlák
no flags Details
ifcfg log (641 bytes, text/x-log)
2012-10-10 09:18 EDT, Jan Sedlák
no flags Details
ifcfg log (641 bytes, text/plain)
2012-10-10 09:19 EDT, Jan Sedlák
no flags Details
packaging log (2.32 KB, text/plain)
2012-10-10 09:19 EDT, Jan Sedlák
no flags Details
program log (31.29 KB, text/plain)
2012-10-10 09:20 EDT, Jan Sedlák
no flags Details
storage log (122.67 KB, text/plain)
2012-10-10 09:20 EDT, Jan Sedlák
no flags Details
x log (41.06 KB, text/plain)
2012-10-10 09:21 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2012-10-09 04:48:24 EDT
Created attachment 623992 [details]
error message

Description of problem:
On computer that has empty disk (no partitions, msdos partition label), when you choose to boot using UEFI, autopartitioning doesn't make gpt partition label. When someone choose to let anaconda make partitions automatically, error shows up with "sda2 must have one of the following disklabel types: gpt". When you manually make gpt partition label (for example using parted), it completes without error. See attached screenshot.

How reproducible:
Always.

Steps to Reproduce:
1. Remove all partitions from disk, use msdos partition label
2. Boot F18 Beta TC1, choose "automatic partitioning"
  
Actual results:
Error shows up. GPT partition label isn't created.

Expected results:
It should run without an error, GPT partition label should be made.
Comment 1 Brian Lane 2012-10-09 10:40:35 EDT
Please switch to tty2 (ctrl-alt-f2) and attach the logs from /tmp/*log to this bug as individual text/plain files.
Comment 2 Jan Sedlák 2012-10-10 09:17:39 EDT
Created attachment 624864 [details]
anaconda log
Comment 3 Jan Sedlák 2012-10-10 09:18:22 EDT
Created attachment 624866 [details]
ifcfg log
Comment 4 Jan Sedlák 2012-10-10 09:19:30 EDT
Created attachment 624867 [details]
ifcfg log
Comment 5 Jan Sedlák 2012-10-10 09:19:58 EDT
Created attachment 624868 [details]
packaging log
Comment 6 Jan Sedlák 2012-10-10 09:20:30 EDT
Created attachment 624871 [details]
program log
Comment 7 Jan Sedlák 2012-10-10 09:20:59 EDT
Created attachment 624872 [details]
storage log
Comment 8 Jan Sedlák 2012-10-10 09:21:23 EDT
Created attachment 624873 [details]
x log
Comment 9 Brian Lane 2012-10-10 14:45:50 EDT
Also doesn't work when there are partitions on the msdos disk.
Comment 10 Adam Williamson 2012-10-11 12:49:38 EDT
Discussed at 2012-10-11 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-11/f18beta-blocker-review-3.1.2012-10-11-16.04.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation using automatic partitioning to any sufficiently large target disk, whether unformatted, empty, or containing any kind of existing data" in the case of doing a UEFI install to a disk with an ms-dos disklabel, which is fairly common - probably still more common than doing a UEFI install to a disk which already has a gpt disklabel. Any old random disk you grab to do an install onto has a pretty high chance of having an ms-dos disklabel.
Comment 11 Adam Williamson 2012-10-17 14:36:41 EDT
Discussed at 2012-10-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-17/f18beta-blocker-review-4.2012-10-17-16.00.log.txt . anaconda team, it seems like this bug is clearly understood and just needs fixing, this is your regular poke :)
Comment 12 Tomas Vanderka 2012-10-23 10:26:23 EDT
I sucessfuly installed TC6 on UEFI system with MBR disklabel and GPT was correctly auto-created. This failed for me with TC2.
I only tested with empty ms-dos disklabel without any partitions so it should  probably be tested a little more.
Comment 13 Brian Lane 2012-10-23 14:59:20 EDT
This is working now.

I can autopart a disk with msdos label and no partitions. 

autopart a disk with msdos and 1 or more partitions, shows an error about needing a gpt label. If you then go into custom partitioning and delete the partitions and use the button to create new ones. It will then use gpt for this new layout.
Comment 14 Brian Lane 2012-10-23 15:02:16 EDT
This was fixed by commit f1fa2900ac11 and 3a7b537f119

Note You need to log in before you can comment on or make changes to this bug.